#
# spec file for package obs-api-deps
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           obs-api-deps
Summary:        The Open Build Service -- Gem dependencies
License:        MIT
Group:          Productivity/Networking/Web/Utilities
Version:        2.8.4
Release:        5%{?dist}.3
Url:            http://en.opensuse.org/Build_Service
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        https://github.com/openSUSE/open-build-service/archive/%{version}/open-build-service-%{version}.tar.gz
Source1:        find-requires.sh
Patch1:         obs-server-2.8-0001-api-Use-bundler_ext-instead-of-bundler-if-Gemfile.in.patch
Patch2:         obs-server-2.8-0002-api-Require-json-gem-explicitly-for-tests.patch
Patch3:         obs-server-2.8-0003-api-Log-server-name-to-test-log-for-backend-log-mess.patch
Patch4:         obs-server-2.8-0004-api-Use-OBS_API_PREFIX-instead-of-explicit-pathname-.patch
Patch5:         obs-server-2.8-0005-backend-Make-OBS_BACKEND_DATA_DIR-variable-configura.patch
Patch6:         obs-server-2.8-0006-dist-Set-proper-Apache-user-group-when-installing-sc.patch
Patch7:         obs-server-2.8-0007-backend-Set-proper-pathnames-when-installing-backend.patch
Patch8:         obs-server-2.8-0008-dist-Set-proper-pathnames-when-installing-dist-files.patch
Patch9:         obs-server-2.8-0009-dist-Use-configuration-variables-instead-of-hardcode.patch
Patch10:        obs-server-2.8-0010-api-Use-absolute-pathnames-for-apidocs-in-config-env.patch
Patch11:        obs-server-2.8-0011-dist-Make-fillup-file-location-and-name-configurable.patch
Patch12:        obs-server-2.8-0012-dist-Make-obs-devel-doc-location-configutrable.patch
Patch13:        obs-server-2.8-0013-backend-Fix-cleanup-in-BSSched-EventSource-Directory.patch
Patch14:        obs-server-2.8-0014-api-Autodetect-mysqld-and-memcached-pathname-for-api.patch
Patch15:        obs-server-2.8-0015-api-Specify-mysqld-pidfile-explicitly-for-api-test.patch
Patch16:        obs-server-2.8-0016-webui-Wait-for-flash-message-to-appear-in-webui-test.patch
Patch17:        obs-server-2.8-0017-dist-Make-tests-respect-INITDDIR-and-SBINDIR-configu.patch
Patch18:        obs-server-2.8-0018-dist-api-backend-Make-backend-ports-configurable.patch
Patch19:        obs-server-2.8-0019-dist-backend-Make-backend-log-directory-configurable.patch
Patch20:        obs-server-2.8-0020-api-Make-api-log-directory-configurable.patch
Patch21:        obs-server-2.8-0021-api-Don-t-require-specific-version-of-minitest.patch
Patch22:        obs-server-2.8-0022-dist-Allow-worker-to-use-tmpfs-for-other-virtualisat.patch
Patch24:        obs-server-2.8-0024-api-Require-less-specific-version-of-nokogiri-Ruby-g.patch
Patch25:        obs-server-2.8-0025-ci-Fix-compatibility-with-Ruby-2.3-in-webui-helper-t.patch
Patch26:        obs-server-2.8-0026-api-Require-less-specific-version-of-rspec-rails-Rub.patch
Patch27:        obs-server-2.8-0027-backend-fix-perl-syntax.patch
Patch28:        obs-server-2.8-0028-backend-bs_dodup-use-the-testcaseformat-option-to-ge.patch
Patch101:       obs-server-2.8-0101-api-Drop-exception-handling-for-ActionController-Red.patch
Patch102:       obs-server-2.8-0102-ci-Rails-5.1-Fix-test-failure-caused-by-url_for-chan.patch
Patch103:       obs-server-2.8-0103-ci-Rails-5.1-Update-overwrite-of-ActionDispatch-Inte.patch
Patch104:       obs-server-2.8-0104-api-webui-Rails-5.1-Remove-calling-render-with-text.patch
Patch105:       obs-server-2.8-0105-api-dist-Update-to-rails-version-5.1.patch
Patch106:       obs-server-2.8-0106-api-Rails-5.1-Replace-HoptoadNotifier-by-airbrake.patch
Patch107:       obs-server-2.8-0107-ci-Rails-5.1-Fix-test-failure-caused-by-missing-requ.patch
Patch108:       obs-server-2.8-0108-ci-Update-code-quality-test.patch
Patch109:       obs-server-2.8-0109-ci-Rails-5.1-Update-intialization-of-ActionControlle.patch
Patch110:       obs-server-2.8-0110-api-Only-enable-airbrake-when-there-is-a-project-id-.patch
Patch111:       obs-server-2.8-0111-dist-Add-migration-rails-env-to-airbrake-ignore-list.patch
Patch112:       obs-server-2.8-0112-api-webui-Drop-monkeypatch-of-ActiveRecord.patch
Patch113:       obs-server-2.8-0113-ci-api-Remove-deprecation-warning-in-migrations.patch
Patch114:       obs-server-2.8-0114-api-Add-rails-version-to-all-migrations.patch
Patch115:       obs-server-2.8-0115-ci-Fix-Rails-HttpPositionalArguments.patch
Patch116:       obs-server-2.8-0116-ci-xhr-is-deprecated.patch
BuildRequires:  ruby(release)
BuildRequires:  ruby >= 2.2.0
BuildRequires:  rubygem(bundler)
%if 0%{?suse_version} < 1210
BuildRequires:  xz
%endif

%global debug_package   %{nil}
%if 0%{fedora} < 27
%define patches_to_apply %(a=(%{patches}); echo ${a[@]:0:((${#a[@]}-16))})
%else
%define patches_to_apply %{patches}
%endif

%description
This package serves one purpose only: to list the dependencies in Gemfile.lock

%package -n obs-api-testsuite-deps
Summary:        The Open Build Service -- The Testsuite dependencies
Group:          Productivity/Networking/Web/Utilities
BuildArch:      noarch
# dependencies not needed in production
Requires:       %(bash %{S:1} %{S:0} '' %{patches_to_apply})

Requires:       perl(BSSolv) >= 0.07
# Required by source server
Requires:       createrepo
Requires:       diffutils
Requires:       git-core
Requires:       patch

# needed for api test suite
%if 0%{?suse_version} > 1210
Requires:       libxml2-tools
%else
Requires:       libxml2
%endif

Recommends:     yum yum-metadata-parser repoview dpkg
Recommends:     deb >= 1.5
Recommends:     lvm2
Recommends:     openslp-server
Recommends:     obs-signd
Recommends:     inst-source-utils
Requires:       perl-Compress-Zlib
Requires:       perl-File-Sync >= 0.10
Requires:       perl-JSON-XS
Requires:       perl-Net-SSLeay
Requires:       perl-Socket-MsgHdr
Requires:       perl-XML-Parser
Requires:       perl-XML-Simple
Requires:       perl(GD)
Requires:       sphinx >= 2.1.8

%description -n obs-api-testsuite-deps
This is the API server instance, and the web client for the 
OBS.

%prep
%setup -c -T -n %{name}-%{version}
echo > README <<EOF
This is just a meta package with requires
EOF

%build

%install

# main package is .src.rpm only

%files -n obs-api-testsuite-deps
%defattr(-,root,root)
%doc README

%changelog
* Thu Mar  8 2018 Oleg Girko <ol@infoserver.lv> - 2.8.4
- Update to 2.8.4
* Sun Feb 18 2018 Oleg Girko <ol@infoserver.lv> - 2.8.3
- Add patch to fix rich dependencies in DoD repos
* Tue Jan 16 2018 Oleg Girko <ol@infoserver.lv> - 2.8.3
- Add patch to fix Perl syntax in bs_productconvert
- Add patches to update Rails to version 5.1, but only for Fedora >= 27
* Mon Dec 25 2017 Oleg Girko <ol@infoserver.lv> - 2.8.3
- Update to 2.8.3
- Remove patch reverting update Rails to 5.0.1, dropping Fedora 25 support
* Fri Oct  6 2017 Oleg Girko <ol@infoserver.lv> - 2.8.0
- Add patch to require less specific version of rubygem-rspec-rails
* Wed Jul 19 2017 Oleg Girko <ol@infoserver.lv> - 2.8.0
- Define SELinux context for Rails app tmp subdir
* Wed Jul 19 2017 Oleg Girko <ol@infoserver.lv> - 2.8.0
- Fix patch adding support for bundler_ext
* Fri Jul 14 2017 Oleg Girko <ol@infoserver.lv> - 2.8.0
- Update to 2.8.0
* Fri Mar 24 2017 Oleg Girko <ol@infoserver.lv> - 2.7.1
- Add patch to remove module that caused problems with newer codemirror
* Wed Mar 22 2017 Oleg Girko <ol@infoserver.lv> - 2.7.1
- Require perl(Test::Harness) for build because it provides prove utility
* Wed Aug 31 2016 Oleg Girko <ol@infoserver.lv> - 2.7.1
- Add patch allowing worker to use tmpfs for other virtualisation methods
* Tue Aug 30 2016 Oleg Girko <ol@infoserver.lv> - 2.7.1
- Update patches
* Sat Aug 20 2016 Oleg Girko <ol@infoserver.lv> - 2.7.1
- Update to 2.7.1
- Don't overwrite log files when starting backend services
- Add some patches from 2.7 branch that were added after 2.7.1 release
* Sat Aug  6 2016 Oleg Girko <ol@infoserver.lv> - 2.7.0
- Use C.UTF-8 locale for tests: Fedora 24 has no locales in buildroot
* Wed Jul 20 2016 Oleg Girko <ol@infoserver.lv> - 2.7.0
- Update to 2.7.0
- Find requires automatically using find-requires.sh script
- Find build requires using obs-api-testsuite-deps package
- Run database migrations in obs-api postinstall script
* Sun Dec  6 2015 Oleg Girko <ol@infoserver.lv> - 2.6.7
- Update to 2.6.7
- Update update-sources.sh to not create tarball
- Change Source header in specfile to full URL
* Thu Nov 12 2015 Oleg Girko <ol@infoserver.lv> - 2.6.6
- Fix symlink to API docs
* Thu Nov  5 2015 Oleg Girko <ol@infoserver.lv> - 2.6.6
- Require lower perl-BSSolv version available in Fedora
* Fri Oct 30 2015 Oleg Girko <ol@infoserver.lv> - 2.6.6
- Add patch to set User.current in webui correctly
* Fri Oct 23 2015 Oleg Girko <ol@infoserver.lv> - 2.6.6
- Add patches to build with newer Ruby and Rails
- Update update-sources.sh to work with multiple spec files
* Thu Oct 22 2015 Oleg Girko <ol@infoserver.lv> - 2.6.6
- Update to 2.6.6
- Add patches to build with newer Capybara and PhantomJS
* Sat Apr 25 2015 Oleg Girko <ol@infoserver.lv> - 2.6.2
- Update to 2.6.2
* Tue Mar 31 2015 Oleg Girko <ol@infoserver.lv> - 2.6.1
- Set context of obs-api log files to have passenger_log_t type
* Tue Mar 17 2015 Oleg Girko <ol@infoserver.lv> - 2.6.1
- Add patch to support Docker build
* Fri Mar 13 2015 Oleg Girko <ol@infoserver.lv> - 2.6.1
- Update to 2.6.1
* Mon Mar  9 2015 Oleg Girko <ol@infoserver.lv> - 2.6.0
- Fix patch for non-root server directory hosting again
* Thu Mar  5 2015 Oleg Girko <ol@infoserver.lv> - 2.6.0
- Fix patch for non-root server directory hosting
- Add patch to fix LXC build
* Sat Feb 28 2015 Oleg Girko <ol@infoserver.lv> - 2.6.0
- Fix usernames in logrotate files
* Tue Feb 17 2015 Oleg Girko <ol@infoserver.lv> - 2.6.0
- Update to 2.6.0
* Mon Jul 14 2014 Oleg Girko <ol@infoserver.lv> - 2.5.4
- Make obs-api obsolete obs-webui
* Mon Jul 14 2014 Oleg Girko <ol@infoserver.lv> - 2.5.4
- Update to 2.5.4
* Sun Jul 13 2014 Oleg Girko <ol@infoserver.lv> - 2.5.3
- Require json gem explicitly for tests
- Kill memcached after tests in cleanup function only
* Sat Jul 12 2014 Oleg Girko <ol@infoserver.lv> - 2.5.3
- Fix relative URL root for assets precompiling
* Fri May 23 2014 Oleg Girko <ol@infoserver.lv> - 2.5.3
- Split off notification plugins into separate packages
* Fri May 23 2014 Oleg Girko <ol@infoserver.lv> - 2.5.3
- Fix patch for non-root server directory hosting
* Fri May 23 2014 Oleg Girko <ol@infoserver.lv> - 2.5.3
- Add simple SELinux policy
* Thu May 22 2014 Oleg Girko <ol@infoserver.lv> - 2.5.3
- Update to 2.5.3
* Sun May 18 2014 Oleg Girko <ol@infoserver.lv> - 2.5.2
- Initial port of OBS server 2.5.2 to Fedora 20
